##
##  cmix.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         cmix
Summary:      Lossless Compression
URL:          http://www.byronknoll.com/cmix.html
Vendor:       Byron Knoll
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Compression
License:      GPL
Version:      21
Release:      20240917

#   list of sources
Source0:      http://www.byronknoll.com/cmix-v%{version}.zip
Patch0:       cmix.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    cmix is a lossless data compression program aimed at optimizing
    compression ratio at the cost of high CPU/memory usage. cmix is
    currently ranked first place on the Large Text Compression Benchmark
    and the Silesia Open Source Compression Benchmark. It also has state
    of the art results on the Calgary Corpus and Canterbury Corpus. cmix
    has surpassed the winning entry of the Hutter Prize (but exceeds the
    memory limits of the contest).

%track
    prog cmix = {
        version   = %{version}
        url       = http://www.byronknoll.com/cmix.html
        regex     = cmix-v(\d+)\.zip
    }

%prep
    %setup -q -n cmix
    %patch -p0

%build
    %{l_make} %{l_mflags -O}

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/share/cmix
    %{l_shtool} install -c -s -m 755 \
        cmix $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        dictionary/english.dic $RPM_BUILD_ROOT%{l_prefix}/share/cmix/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

